:root {
  --primary-color: #FFFFFF;
  --secondary-color: #F5F9FF;
  --third-color: #EAF4FF;

  --bg-primary-color: var(--primary-color);
  --bg-secondary-color: var(--secondary-color);
  --bg-third-color: var(--third-color);

  --main-primary: #2F6BFF;
  --main-hover: #255AE0;
  --main-active: #1E4FCC;

  --dark-primary: #04577D;
  --dark-hover: #01496A;
  --dark-active: #01415E;

  --text-primary-color: #1A1A1A;
  --text-secondary-color: #6B7A90;
  --text-third-color: #FFFFFF;

  --secondary-first: #6EC1FF;
  --secondary-second: #9FD8FF;
  --secondary-third: #D6EEFF;

  --ui-elems-primary: #E3EAF5;
  --ui-elems-secondary: #D0D9E6;
}
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
* {
  font-family: 'Montserrat', 'Segoe UI', 'Helvetica Neue', sans-serif;
}

h2 {
  font-size: 36px;
  font-weight: 600;
  color: var(--dark-primary);
  margin-top: 60px;
  margin-bottom: 32px;
}

h3 {
  font-size: 14px;
  font-weight: 600;
}

h4 {
  font-size: 12px;
  font-weight: 500;
}

html, body {
  margin: 0;
  min-height: 100vh;
}

body {
  background-color: var(--third-color);
  display: flex;
  flex-direction: column;
}

a {
  color: #000;
  text-decoration: none;
}

h1 {
  font-size: 2rem;
}

body main {
  flex-grow: 1;
  padding-left: auto;
  padding-right: auto;
}

header nav {
  height: 74px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.h3-header {
  color: var(--dark-primary);
  text-align: center;
}

.h4-header {
  font-size: 13px;
  color: var(--dark-primary);
  text-align: right;
}

header nav ul {
  display: flex;
  gap: 1rem;
  justify-content: center;
}
header nav ul li {
  list-style: none;
}

.header-logo {
  width: 230px;
  display: flex;
  justify-content: center;
}

.header-logo img{
  height: 44.6px;
  width: 230px;
}

.header-socials {
  display: flex;
  align-items: center;
  justify-content: right;
}

.header-social-icons {
  display: flex;
  align-items: center;
  margin-left: 16px;
  margin-right: 20px;
  gap: 8px;
}

.header-social-icon {
  border: 1px solid #04577D;
  border-radius: 8px;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background-color: transparent;
}

.header-social-icon img{
  width: 70%;
  height: 70%;
}

.header-menu {
  display: none;
}

.header-menu-hide {
  display: none;
}

.header-menu-hide-visible {
  display: none;
}

.h3-header-visible {
    display: none;
  }
  .header-socials-visible {
    display: none;
  }

.page-content {
  display: unset;
}

.page-content-hidden {
  display: none;
}

.content {
  margin: 20px;
  text-align: center;
}

.content h1{
  text-align: center;
}

.main-block {
  display: grid;
  height: 600px;
  justify-items: center;
  align-content: center; 
}

.main-h1 {
  font-size: 56px;
  font-weight: 600;
  color: #FBBF24;
  margin: 0;
  margin-bottom: 14px;
  letter-spacing: 5%;
}

.main-h2 {
  font-size: 32px;
  font-weight: 400;
  color: #FFFFFF;
  margin: 0;
  margin-top: 4px;
  letter-spacing: 6%;
}

.main-h2-we {
  font-weight: 700;
}

.leadForm {
  margin-top: 40px;
  text-align: center;
  display: grid;
  justify-content: center;
}

.token-btn {
  margin-top: 2rem;
}

.aggreement {
  display: inline-flex;
  margin-bottom: 11px;
  align-items: center;
}

.checkbox-container {
  position: relative;
  display: inline-block;
  margin-left: 8px;
  margin-right: 8px;
  cursor: pointer;
}

.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.custom-checkbox {
  width: 18px;
  height: 18px;
  background-color: #FFFFFF;
  border: 1px solid #FBBF24;
  border-radius: 4px;
  display: block;
}

.custom-checkbox::after {
  content: "";
  position: absolute;
  display: none;
  left: 7px;
  top: 3px;
  width: 4px;
  height: 9px;
  border: solid #000;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.checkbox-container input:checked + .custom-checkbox {
    background-color: #FBBF24; /* Жёлтый фон для квадратика */
    border-color: #FBBF24;
}

.checkbox-container input:checked + .custom-checkbox::after {
  display: block;
  border-color: #223158; 
}

.main-aggreement { 
  font-size: 12px; 
  font-weight: 400; 
  color: #d0c8c8; 
  text-align: left; 
  margin: 0; 
  line-height: 100%; 
  letter-spacing: 6%;
} 

.main-aggreement-ylw { 
  text-decoration: underline; 
}

.main-get {
  font-size: 20px;
  font-weight: 400;
  color: #FFFFFF;
  text-align: left;
  padding-left: 4px;
  margin: 0;
  letter-spacing: 10%;
}

.main-get-ylw {
  font-weight: 600;
  color: #FBBF24;
}

.popular {
  max-width: 1232px;
  margin: 0 auto;
}

.popular h2 {
  margin-top: 32px;
}

.popular-cards {
  display: grid;
  justify-content: center;
  gap: 16px;
}

.popular-cards-top, .popular-cards-bottom {
  display: flex;
  justify-content: center;
  gap: 16px;
}

.popular-card {
  background-color: #000;
  width: 608px;
  height: 247px;
  border-radius: 20px;
  display: grid;
  background-size: cover;
  background-position: center;
}

.popular-card-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  padding: 16px;
  height: 100%;
  box-sizing: border-box;
}

.popular-card-action-content {
  display: flex;
  align-items: center;
  gap: 8px;
  flex-wrap: nowrap;
  min-height: 40px;
}

.h3-popular {
  color: var(--primary-color);
  text-align: left;
  padding-left: 2px;
  font-size: 18px;
  letter-spacing: 5%;
}

.leadForm .form-group {
    display: flex;
    align-items: center;
    gap: 16px;
    flex-wrap: wrap;
    margin-bottom: 11px;
}

.leadForm label {
    font-weight: bold;
}

.leadForm input {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 12px;
    padding-bottom: 12px;
    border: 1px solid #D0D9E6;
    border-radius: 12px;
    width: 355px;
    height: 44px;
    box-sizing: border-box;
    font-size: 14px;
    font-weight: 500;
}

.card-phone-input {
  padding-left: 15px;
    padding-right: 15px;
    padding-top: 12px;
    padding-bottom: 12px;
    border: 1px solid #D0D9E6;
    border-radius: 12px;
    width: 368px;
    height: 40px;
    box-sizing: border-box;
    font-size: 14px;
    font-weight: 500;
}

.error-bg {
    background-color: #ff0000 !important;
    border: 1px solid rgba(255, 0, 0, 0.5) !important;
    transition: background-color 0.2s ease;
}

.error {
    border: 2px solid red !important;
    background-color: rgba(255, 0, 0, 0.05) !important;
}

.leadForm input.error {
    border-color: #ff0000;
    background-color: #ff0000;
    box-shadow: 0 0 5px rgba(255, 0, 0, 0.3);
}

.card-phone-input.error {
    border-color: #ff0000;
    background-color: #ff0000;
    box-shadow: 0 0 5px rgba(255, 0, 0, 0.3);
}

.form-group-buttons {
    display: flex;
    gap: 10px;
}

.main-check-btn, #mainSubmitBtn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px; 

    cursor: pointer;
    border-radius: 12px;
    background-color: #FBBF24;
    color: #223158;
    font-size: 14px;
    font-weight: 600;
    width: 180px;
    height: 44px;
    border: none;
    vertical-align: middle;
}

.check-btn, .popularSubmitBtn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px; 

    cursor: pointer;
    border-radius: 12px;
    background-color: #FBBF24;
    color: #223158;
    width: 284px;
    height: 40px;
    border: none;
    vertical-align: middle;
}

.check-btn {
  font-size: 12px;
  font-weight: 500;
}

.popularSubmitBtn {
  font-size: 14px;
  font-weight: 600;
}

.submit-card-btn {
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px; 
    padding: 0 16px;
    cursor: pointer;
    border-radius: 12px;
    background-color: #FBBF24;
    color: #223158;
    font-size: 12px;
    font-weight: 500;
    width: 200px;
    height: 40px;
    border: none;
    vertical-align: middle;
}

.bell-icon {
    width: 24px;
    height: 24px;
    margin-bottom: 3px;
}

.info-btn {
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 16px;
    cursor: pointer;
    border-radius: 12px;
    background-color: transparent;
    color: #FFFFFF;
    font-size: 12px;
    font-weight: 500;
    width: 284px;
    height: 40px;
    border: 1px solid #FFFFFF;
    vertical-align: middle;
}

.arrow-icon {
    width: 16px;
    height: 16px;
}

/* Модальное окно (фон) */
.info-modal {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: transparent;
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

/* Контент модалки */
.info-modal-content {
    width: 700px;
    background-color: #fff;
    border-radius: 16px;
    position: relative;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.2);
    overflow-y: auto;
    padding: 30px;
    box-sizing: border-box;
}

.close-container {
    width: 100%;
    display: flex;
    justify-content: center;
}

/* Крестик закрытия */
.info-modal-close {
    position: absolute;
    right: 30px;
    height: 27px;
    cursor: pointer;
    background: transparent;
    border: none;
    z-index: 10;
}

.info-modal-close:hover {
    opacity: 0.7;
}

.info-modal-close::before,
.info-modal-close::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 2px;
    background-color: #333;
    top: 50%;
    left: 50%;
}

.info-modal-close::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.info-modal-close::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.close-container h2 {
  font-size: 24px; 
  font-weight: 600; 
  margin-top: 0px; 
  margin-bottom: 24px;
}

.modal-content .slider {
  width: 100%; 
  height: 300px;
}

.modal-content .slider .slider-container {
  height: 300px;
}

.modal-content .slider .slider-container .slider-track {
  height: 300px;
}

.modal-description {
  font-weight: 400; 
  color: #6B7A90; 
  margin: 12px 0px;
}

.modal-order-text {
  font-size: 16px; 
  color: #04577D; 
  margin: 4px 0px;
}

.modal-order-text-2 {
  font-weight: 400; 
  color: #6B7A90; 
  margin: 4px 0px;
}

.modal-content .leadForm {
  margin-top: 12px; 
  justify-content: space-between; 
  width: 640px;
  margin-bottom: 0px;
}

.modal-content .leadForm .form-group {
  justify-content: space-between; 
  width: 640px;
}

.modal-content .leadForm .form-group input {
  width: 440px;
  cursor: auto;
}

.modal-content .leadForm .aggreement {
  background-color: #FFFFFF; 
  border-radius: 8px; 
  display: none;
  margin-bottom: 0px;
}

.modal-content .leadForm .aggreement .checkbox-container{
  margin-bottom: 8px;
}

.modal-content .leadForm .aggreement .checkbox-container input {
  width: 1px;
}

.modal-content .leadForm .aggreement .main-aggreement {
  color: #6B7A90; 
  margin-top: 8px; 
  margin-bottom: 8px;
}

.modal-content .leadForm .aggreement .main-aggreement a{
  color: #6B7A90;
}

/* Модальное окно успеха*/
.success-modal {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: transparent;
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

/* Контент модалки успеха*/
.success-modal-content {
    width: 480px;
    height: 271px;
    background-color: #fff;
    border-radius: 16px;
    position: relative;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.2);
    overflow-y: auto;
    padding: 30px;
    box-sizing: border-box;
    display: grid;
    justify-items: center;
}

.main-check-btn:disabled, #mainSubmitBtn:disabled, .check-btn:disabled, #submitBtn:disabled, .submit-card-btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
    background-color: #FBBF24;
    color: #223158;
}

.token-btn {
    margin-top: 20px;
    padding: 8px 16px;
    cursor: pointer;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 4px;
}

.token-btn:hover {
    background-color: #218838;
}

.projects {
  margin: 0 auto;
  max-width: 1232px;
  justify-items: center;
}

.works-list {
  display: grid;
  justify-content: center;
  gap: 24px;
}

.works-row {
  display: flex;
  justify-content: center;
  gap: 16px;
}

.works-row-hidden {
  display: none;
}

/* Класс для показа скрытых рядов на десктопе */
.works-row-hidden.works-row-visible {
  display: flex;
  justify-content: center;
  gap: 16px;
}

/* Класс для показа скрытых рядов на мобилке
.works-row-visible-mobile {
  display: grid !important;
  justify-content: center;
  gap: 16px;
} */

.works-item {
  background-color: #000;
  width: 296px;
  height: 250px;
  border-radius: 20px;
  display: grid;
  background-size: cover;
  background-position: center;
}

.works-buttons {
  display: flex;
  justify-content: center;
}

.show-btn {
    cursor: pointer;
    border-radius: 12px;
    background-color: #FBBF24;
    color: #223158;
    font-size: 14px;
    font-weight: 600;
    width: 250px;
    height: 44px;
    text-align: center;
    margin-top: 24px;
    border: none; 
    position: relative;
}

.hide-btn {
  cursor: pointer;
  border-radius: 12px;
  background-color: #FBBF24;
  color: #223158;
  font-size: 14px;
  font-weight: 600;
  width: 250px;
  height: 44px;
  text-align: center;
  margin-top: 24px;
  border: none;
  position: relative;
  display: none;
}

.partners {
  margin: 60px auto;
  max-width: 1232px;
}

#partner-1 {
  width: 150px;
  height: 58.5px;
}
#partner-2 {
  width: 150px;
  height: 69px;
}
#partner-3 {
  width: 150px;
  height: 51px;
}
#partner-4 {
  width: 150px;
  height: 46.5px;
}
#partner-5 {
  width: 150px;
  height: 115px;
}
#partner-6 {
  width: 150px;
  height: 80px;
}
#partner-7 {
  width: 150px;
  height: 38px;
}
#partner-8 {
  width: 150px;
  height: 69px;
}
#partner-9 {
  width: 150px;
  height: 69px;
}
#partner-10 {
  width: 150px;
  height: 46px;
}

.order-measuring {
  margin: 60px auto;
  border-radius: 20px;
  height: 300px;
  display: flex;
  justify-content: space-between;
  max-width: 1232px;
}

.measurer {
  opacity: 1;
  padding-top: 5px;
  padding-left: 83px;
}

.order-measuring-content {
  margin-top: 43px;
  margin-right: 80px;
  text-align: left;
}

.measuring-h2 {
  font-size: 39px;
  font-weight: 600;
  color: #FFFFFF;
  margin: 0;
  letter-spacing: 4%;
}

.measuring-h3 {
  font-size: 23.5px;
  font-weight: 300;
  color: #FFFFFF;
  margin: 0;
  letter-spacing: 2%;
  line-height: 110%;
  width: 519px;
}

#measuringForm .form-group input {
    width: 323px;
}

.measuring-phone {
    width: 323px !important;
}

.slider {
    position: relative;
    width: 594px;
    height: 350px;
    margin: 0;
    overflow: hidden;
    border-radius: 20px;
}

.slider-container {
    overflow: hidden;
}

.slider-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.slider-slide {
    flex-shrink: 0;
    width: 100%;
    overflow: hidden;
}

.slider-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

/* Кнопки навигации (опционально) */
.slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: #FBBF24;
    color: white;
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 8px;
    cursor: pointer;
    z-index: 10;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.slider-btn:hover {
    background-color: #ffcd4f;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}

.workflow {
  margin: 0 auto;
  max-width: 1232px;
}

.workflow-content {
  display: flex;
  justify-content: space-between;
}

.workflow-desc-container {
  display: flex;
  gap: 16px;
}

.workflow-desc-container-row {
  display: grid;
  gap: 16px;
}

.workflow-desc-container-elem {
  height: 167px;
  width: 299px;
  background-color: var(--primary-color);
  border-radius: 20px;
}

.workflow-card-content {
  margin: 15px 20px;
    display: grid;
    /* grid-template-rows: auto 1fr; */
    gap: 10px;
    /* height: calc(100% - 40px); */
    text-align: left;
}

.workflow-card-heading {
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 10px;
}

.workflow-card-text {
  display: grid;
  text-align: left;
  align-self: end;
  gap: 4px;
}

.h3-workflow {
  font-size: 16px;
  color: var(--dark-primary);
  margin: 0;
}

.h4-workflow {
  margin-top: 4px;
  font-size: 15px;
  font-weight: 400;
  max-width: 520px;
  color: var(--text-secondary-color);
  margin: 0;
}

.h4-workflow-span {
  font-weight: 600;
  color: var(--text-secondary-color);
}

.faq {
  margin: 60px auto;
  display: flex;
  justify-content: space-between;
  max-width: 1232px;
}

.faq-left {
  text-align: left;
}

.dropdown {
  position: relative;
  width: 566px;
  filter: url(#goo);
  background-color: #fff;
  padding: 20px;
  border-radius: 20px;
  margin-bottom: 8px;
  box-sizing: border-box;
}

.dropdown__text {
  text-align: left;
}

.dropdown__face {
  display: flex;
  position: relative;
  justify-content: space-between;
  align-items: center;
}

.dropdown__items {
  margin: 0;
  position: absolute;
  right: 0;
  top: 50%;
  width: 100%;
  list-style: none;
  list-style-type: none;
  display: flex;
  justify-content: space-between;
  visibility: hidden;
  z-index: -1;
  opacity: 0;
  transition: all 0.4s cubic-bezier(0.93, 0.88, 0.1, 0.8);
}

.dropdown__items::before {
  content: "";
  background-color: #fff;
  position: absolute;
  bottom: 100%;
  right: 20%;
  height: 40px;
  width: 20px;
}

.faq-res-left {
  text-align: left;
  margin-top: 10px;
}

.faq-res-right {
  margin-top: 29.880px;
}

.faq-form {
  background-color: #FFFFFF;
  width: 520px;
  height: 159px;
  padding: 20px 30px;
  box-sizing: border-box;
  border-radius: 20px;
}

#faq-form .form-group {
  margin-bottom: 40px;
}

.faq-img {
  width: 566px;
  height: 203px;
}

.feedback {
  margin: 0 auto;
  max-width: 1232px;
}

.feedback h2 {
  margin-top: 60px;
}

.feedback-row {
  display: flex;
  justify-content: space-between;
}

.feedback-card {
  background-color: #FFFFFF;
  width: 296px;
  /* height: 348px; */
  border-radius: 20px;
  box-sizing: border-box;
  display: grid;
  padding: 20px;
}

.rank {
  justify-content: space-between;
  display: inline-flex;
  align-items: center;
  height: 32px;
  margin-bottom: 12px;
}

.star {
  width: 20px;
  height: 20px;
}

.quota {
  width: 32px;
  height: 32px;
}

.border {
  height: 1px;
  background-color: #F4F3F3;
  margin-bottom: 12px;
}

.feedback-user-card {
  display: inline-flex;
  height: 40px;
  /* margin-top: 20px; */
}

.feedback-user-photo {
  width: 40px;
  height: 40px;
  margin-right: 12px;
}

.feedback-user-data {
  text-align: left;
  height: 40px;
  align-items: center;
  display: grid;
}

.placement {
  margin: 60px auto;
  display: flex;
  justify-content: space-between;
  max-width: 1232px;
}

.placement-container {
  width: 608px;
  height: 406px;
  border-radius: 20px;
}

.placement-contacts {
  margin: 40px;
  text-align: left;
}

footer {
  height: 92px;
  background-color: var(--dark-primary);
  display: flex;
  justify-content: space-between;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.footer-icon {
  position: relative;
  top: 20%;
  width: 230px;
  height: 73px;
  text-align: center;
}

.footer-icon img {
  width: 170px;
  height: 33px;
}

.footer-policy {
  margin-top: 25px;
  margin-bottom: 25px;
}

.footer-policy-top {
  display: flex;
  gap: 24px;
  margin-bottom: 8px;
}

.footer-policy-bottom {
  display: flex;
  justify-content: center;
}

.h4-footer {
  color: var(--ui-elems-secondary);
  margin: 0;
}

.pol-container {
  display: flex;
  align-items: center;
}

.h3-footer {
  color: var(--ui-elems-secondary);
  font-weight: 400;
  margin: 0;
}

.footer-socials {
  display: flex;
  align-items: center;
  width: 230px;
  justify-content: right;
}

.footer-social-icons {
  display: flex;
  align-items: center;
  margin-left: 16px;
  margin-right: 20px;
  gap: 8px;
}

.footer-social-icon {
  border: 1px solid #D0D9E6;
  border-radius: 8px;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background-color: transparent;
}

.footer-social-icon img{
  width: 70%;
  height: 70%;
}

@media (max-width: 1360px) {

  .footer-policy {
    margin-top: auto;
    margin-bottom: auto;
  }
  .footer-policy-top {
    display: grid;
    gap: 4px;
  }
  .pol-container {
    justify-content: center;
  }
  #lorem-1, #lorem-2, #lorem-3, #lorem-4 {
    font-size: 16px;
  }
}

@media (max-width: 1280px) {
  .content {
    margin: 20px auto;
    width: 984px;
  }
  .popular-card {
    width: 480px;
    height: 229px;
  }
  .popularSubmitBtn, .info-btn {
    width: 220px !important;
  }
  .card-phone-input {
    width: 240px;
  }
  .order-measuring {
    width: 984px;
  }
  .measuring-h3 {
    font-size: 15px;
    width: 433px;
  }
  .measuring-h2 {
    letter-spacing: 0%;
    font-size: 34px;
  }
  #measuring-form .form-group {
    flex-wrap: nowrap;
  }
  .measuring-phone {
    width: 237px !important;
  }
  
  .works-item {
    width: 234px;
    height: 198px;
  }
  #partner-5 {
    width: 130px;
    height: 100px;
  }
  #partner-10 {
    width: 130px;
    height: 40px;
  }
  .workflow-desc-container {
    gap: 8px;
    margin-left: 8px;
  }
  .slider-track {
    height: 350px;
  }
  .dropdown {
    width: 400px;
  }
  .feedback-card {
    width: 238px;
  }
  #lorem-1, #lorem-2, #lorem-3, #lorem-4 {
    font-size: 14px !important;
    height: 200px !important;
  }
  .placement {
    justify-content: space-between;
  }
  .placement-container iframe {
    max-width: 484px;
  }
} 

@media (max-width: 1024px) {
  .content {
    width: 728px;
    margin: 20px auto;
  }
  .popular-card {
    width: 356px;
  }
  .popularSubmitBtn, .info-btn {
    width: 158px !important;
  }
  .card-phone-input {
    width: 172px;
  }
  .partners-row {
    gap: 14.75px !important;
  }
  .submit-card-btn {
    width: 144px;
  }
  #partner-1 {
    width: 137.5px;
    height: 53.625px;
  }
  #partner-2 {
    width: 137.5px;
    height: 63.25px;
  }
  #partner-3 {
    width: 137.5px;
    height: 42.854px;
  }
  #partner-4 {
    width: 137.5px;
    height: 42.625px;
  }
  #partner-5 {
    width: 119px;
    height: 91.54px;
  }
  #partner-6 {
    width: 137.5px;
    height: 67.2px;
  }
  #partner-7 {
    width: 137.5px;
    height: 31.9px;
  }
  #partner-8 {
    width: 137.5px;
    height: 57.979px;
  }
  #partner-9 {
    width: 137.5px;
    height: 57.979px;
  }
  #partner-10 {
    width: 119px;
    height: 36.6px;
  }
  .works-item {
    width: 170px;
    height: 142px;
  }
  .workflow-content {
    display: grid;
    gap: 16px;
  }
  .slider {
    width: 100%;
  }
  .workflow-desc-container {
    margin-left: 0px;
    justify-content: space-between;
  }
  .workflow-desc-container-elem {
    width: 356px;
    height: 199px;
  }
  .h4-workflow {
    font-size: 15px;
    max-width: 356px;
  }
  .faq-form {
    width: 356px;
    height: 199px;
    padding: 16px;
  }
  #faqPhone {
    width: 165px !important;
  }
  #faqBtn {
    width: 143px !important;
  }
  .form-group {
    gap: 8px;
  }
  .dropdown {
    width: 356px;
  }
  .order-measuring {
    width: 728px;
  }
  .measurer {
    padding-left: 0px;
    padding-top: 100px;
    width: 280px;
    height: 200px;
  }
  #measuringPhone {
    width: 237px;
  }
  .measuringBtn {
    width: 115px;
  }
  #measuring-form .form-group {
    flex-wrap: nowrap;
  }
  .rank {
    margin-bottom: 0px;
  }
  .star {
    width: 15px;
    height: 15px;
  }
  .quota {
    width: 24px;
    height: 24px;
  }
  #lorem-1, #lorem-2, #lorem-3, #lorem-4 {
    font-size: 12px !important;
  }
  .feedback-user-data h4 {
    font-size: 13px !important;
  }
  .feedback-card {
    width: 178px;
  }
  .placement-container {
    width: 361px;
  }
  .placement-container iframe {
    max-width: 361px;
  }
  .h3-footer {
    font-size: 12px;
  }
  .footer-policy-bottom {
    justify-content: left;
  }
  .pol-container {
    justify-content: left;
  }
} 

@media (max-width: 767px) {
  br {
    display: none;
  }
  h2 {
    margin-bottom: 16px !important;
    font-size: 33px;
  }
  .main-h2 {
    margin-bottom: 0px !important;
  }
  .content {
    margin-left: auto;
    margin-right: auto; 
    width: 358px;
  }
  .h3-header {
    display: none;
  }
  .header-socials {
    display: none;
  }

  .menu {
    display: grid;
    margin-bottom: auto;
    justify-items: center;
  }

  .menu-hidden {
    display: none;
  }

  .h3-header-visible {
    display: unset;
    text-align: center;
    color: #04577D;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 10.5px;
    margin-top: 20px;
  }
  .header-socials-visible {
    display: flex;
  }

  .header-socials-visible .header-social-icons{
    margin-right: 0px;
  }

  .h3-header-visible br, .header-socials-visible br {
    display: unset;
  }
  
  .header-menu {
    display: flex;
    margin-right: 30px;
    width: 32px;
    height: 32px;
    border-radius: 5px;
    border: 1px solid #04577D;
    justify-content: center;
    align-items: center;
    background-color: transparent;
  }
  .header-menu-hide {
    display: none;
  }
  .header-menu-hide-visible {
    display: flex;
    margin-right: 30px;
    width: 32px;
    height: 32px;
    border-radius: 5px;
    border: 1px solid #04577D;
    justify-content: center;
    align-items: center;
    background-color: transparent;
  }
  .header-menu-img {
    width: 20px;
    height: 20px;
  }
  .header-menu-img-close {
    width: 24px;
    height: 24px;
  }
  .main-block {
    height: 432px;
  }
  .main-h1 {
    font-size: 32px;
    margin-bottom: 4px;
  }
  .main-h2 {
    font-size: 16px;
  }
  .leadForm {
    max-width: 358px;
    margin-top: 20px;
  }
  .leadForm .form-group {
    gap: 8px;
  }
  .form-group-buttons {
    width: 100%;
  }
  .leadForm input, .leadForm button {
    width: 100% !important;
  }
  .main-get {
    font-size: 12px;
    letter-spacing: 6%;
    text-align: center;
    padding-left: 0;
    color: #d0c8c8;
  }
  .popular-cards-top, .popular-cards-bottom {
    display: grid;
  }
  .popular-card {
    max-width: 358px;
  }
  .check-btn, .popularSubmitBtn, .info-btn {
    max-width: 159px;
  }
  .h3-popular {
    margin-bottom: 14px;
  }
  .card-phone-input {
    width: 100%;
  }
  .order-measuring {
    height: 563px;
    flex-direction: column;
    justify-content: flex-start;
    overflow: hidden;
    position: relative;
    max-width: 358px;
  }
  #measuring-form {
    margin-left: 14px;
    margin-right: 14px;
  }
  .measurer {
    order: 2; 
    padding: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 53%;
    max-height: 100%;
    object-fit: cover;
    display: block;
    z-index: 1;
  }
  .order-measuring-content {
    order: 1;
    margin: 20px auto 0px auto;
    text-align: center;
    position: relative;
    z-index: 2;
  }
  .measuring-h2 {
    font-size: 21px;
    margin-bottom: 4px !important;
    max-width: 358px;
  }
  .measuring-h3 {
    font-size: 13px;
    max-width: 358px;
  }
  #measuring-form .form-group {
    flex-wrap: wrap;
  }
  .works-list {
    gap: 16px;
  }
  .works-row {
    display: grid;
  }
  .works-row:not(:first-child) {
    display: none;
  }
  .works-row-hidden {
    display: none;
  }
  .works-row-hidden.works-row-visible, .works-row.works-row-visible {
    display: grid;
  }
  .works-item {
    min-width: 358px;
    height: 250px;
  }
  .show-btn {
    margin-top: 16px;
  }
  .hide-btn {
    margin-top: 16px;
  }
  .partners {
    max-width: 358px;
  }
  .partners-rows {
    display: flex;
    justify-content: center;
  }
  .partners-row {
    display: grid !important;
    justify-content: center;
    width: 50%;
    gap: 16px;
  }
  #partner-1 {
    width: 100px;
    height: 39px;
    margin-bottom: 3px;
    margin-top: 3px;
    box-sizing: border-box;
  }
  #partner-2 {
    width: 100px;
    height: 46px;
  }
  #partner-3 {
    width: 100px;
    height: 34px;
    margin-top: 1.5px;
    margin-bottom: 1.5px;
    box-sizing: border-box;
  }
  #partner-4 {
    width: 100px;
    height: 31px;
    margin-top: 7.5px;
    margin-bottom: 7.5px;
    box-sizing: border-box;
  }
  #partner-5 {
    width: 85px;
    height: 66px;
  }
  #partner-6 {
    width: 83px;
    height: 45px;
  }
  #partner-7 {
    width: 100px;
    height: 26px;
    margin-top: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
  }
  #partner-8 {
    width: 81px;
    height: 37px;
  }
  #partner-9 {
    width: 100px;
    height: 46px;
  }
  #partner-10 {
    width: 129px;
    height: 39px;
    margin-top: 8.5px;
    margin-bottom: 8.5px;
    box-sizing: border-box;
  }
  .workflow-content {
    display: grid;
    gap: 16px;
    justify-content: center;
  }
  .workflow-desc-container {
    display: grid;
    justify-content: center;
    gap: 16px;
  }
  .workflow-desc-container-elem {
    min-width: 358px;
    max-height: 250px;
  }
  .slider {
    max-width: 358px;
    max-height: 250px;
  }
  .workflow-card-content {
    height: auto;
  }
  .workflow-card-content img {
    width: 44px;
    height: 44px;
  }
  .workflow-card-text {
    align-self: center;
  }
  /* .slider-pagination {
      right: 10px;
        gap: 6px;
  }
  .slider-pagination .pagination-dot {
      width: 8px;
      height: 8px;
  }
  .slider-pagination .pagination-dot.active {
      width: 12px;
      height: 12px;
  }
  .slider-btn {
      width: 30px;
      height: 30px;
  } */
  .faq {
    justify-content: center;
  }
  .faq-left {
    max-width: 358px;
  }
  .faq-left h2 {
    margin-bottom: 0px !important;
  }
  .dropdown-mobile {
    margin-top: 40px;
    display: block !important;
  }
  .dropdown {
    max-width: 358px;
  }
  .faq-res-left {
    max-width: 358px;
    margin-top: 40px;
  }
  .faq-form {
    max-width: 358px;
    height: 230px;
    padding: 30px;
  }
  .faq-right {
    display: none;
  }
  #faqPhone {
    width: 100% !important;
  }
  #faqBtn {
    width: 100% !important;
  }
  #faqh4 {
    font-size: 13px;
  }
  .feedback {
    display: grid;
    justify-content: center;
  }
  .feedback h2 {
    max-width: 358px;
    margin-top: 0px;
  }
  .feedback-row {
    display: grid;
    gap: 16px;
    width: 358px;
  }
  .feedback-card {
    width: 358px;
    /* height: 308px; */
  }
  .rank {
    margin-bottom: 12px;
  }
  .star {
    width: 20px;
    height: 20px;
  }
  .quota {
    width: 32px;
    height: 32px;
  }
  #lorem-1, #lorem-2, #lorem-3, #lorem-4{
    /* height: 160px !important; */
    font-size: 18px !important;
  }
  .feedback-user-data h4 {
    font-size: 16px !important;
  }
  .placement {
    display: grid;
    gap: 16px;
    margin-bottom: 40px;
    justify-content: center;
  }
  .placement-container{
    max-width: 358px;
    height: auto;
  }
  .placement-contacts {
    height: 326px;
  }
  .h4-workflow-contacts {
    font-size: 14px !important;
  }
  .placement-container iframe {
    max-width: 358px;
    min-height: 571px;
  }
  .info-modal-content {
    width: 358px;
  }
  .modal-content .slider {
    height: 200px;
  }
  .modal-content .slider .slider-container {
    height: 200px;
  }
  .modal-content .slider .slider-container .slider-track {
    height: 200px;
  }
  .modal-content .leadForm .form-group input {
    width: 298px !important;
  }
  .modal-content .leadForm .main-check-btn {
    width: 298px !important;
  }
  .modal-content .leadForm .aggreement .main-aggreement {
    width: 278px;
  }
  .close-container h2 {
    font-size: 22px;
  }
  .info-modal-close {
    height: 25px;
  }
  footer {
    height: 272px;
    display: grid;
    align-content: start;
    justify-content: center;
  }
  .footer-content {
    display: block;
    max-width: 358px;
  }
  .footer-icon {
    display: flex;
    margin: 16.5px 0px;
    width: 350px;
    justify-content: space-between;
    height: 33px;
    align-items: center;
    position: static;
  }
  .h4-footer {
    height: 12px;
  }
  .h3-footer {
    font-size: 16px;
  }
  .footer-policy {
    display: grid;
    margin: 16.5px 0px;
    gap: 8px;
    width: 350px;
  }
  .footer-policy-top {
    margin: 0;
    display: grid;
    gap: 8px;
  }
  .footer-policy-bottom {
    justify-content: left;
  }
  .pol-container h3 {
    font-size: 16px;
  }
  .footer-socials {
    display: flex;
    margin: 16.5px 0px;
    justify-content: left;
  }
  .footer-social-icons {
    margin: 0px;
  }
}

@media (max-width: 389px) {
  .main-block {
    padding: 16px;
  }
  .main-h1 {
    font-size: 30px;
    margin-bottom: 4px;
  }
  .main-get {
    font-size: 11px;
  }
  .content {
    width: 288px;
  }
  .check-btn, .popularSubmitBtn, .info-btn {
    max-width: 129px;
  }
  .popular-card {
    max-width: 288px;
  }
  .popular-card-content {
    padding: 16px 11px;
  }
  .order-measuring {
    max-width: 288px;
  }
  .works-item {
    min-width: 288px;
  }
  .slider {
    max-width: 288px;
    margin-left: auto;
    margin-right: auto;
  }
  .workflow-desc-container-elem {
    max-width: 288px;
    min-width: 288px;
    width: 288px;
  }
  .h3-workflow {
    font-size: 13px;
  }
  .h4-workflow {
    font-size: 11px;
  }
  .faq-left {
    max-width: 288px;
  }
  .dropdown {
    max-width: 288px;
  }
  .faq-form {
    max-width: 288px;
    height: 217px;
  }
  #faqh4 {
    font-size: 10px;
  }
  .feedback-row {
    width: 288px;
  }
  .feedback-card {
    width: 288px;
  }
  #lorem-1, #lorem-2, #lorem-3, #lorem-4 {
    font-size: 16px !important;
  }
  .placement-container {
    width: 288px;
  }
  .placement-container iframe {
    max-width: 288px;
  }
  .footer-content {
    max-width: 288px;
  }
  .footer-icon {
    max-width: 288px; 
  }
  .h3-footer {
    max-width: 288px;
  }
} 